@extends('adminlte::page')

@section('title', 'Presupuestos')

@section('content_header')
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Editar Presupuestos</h1>
            </div>

            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Inicio</a></li>
                    <li class="breadcrumb-item active">Presupuestos</li>
                    <li class="breadcrumb-item active">Editar</li>

                </ol>
            </div>
        </div>
    </div>
@stop
@section('content')
    <div class="container-fluid">

        <form method="post" action="{{ route('detailsBudget.update') }}">
            @csrf
            <input type="hidden" name="id_detail" value="{{ $details_budgets->id}}">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-md-12">
                        <table id="table_add_budgets" class="table table-bordered   table-striped table-hover">
                            <thead>
                                <tr id="row_head">
                                    <th>Mes</th>
                                    <th>Cantidad</th>
                                    <th>Descripción</th>
                                    <th>Rubro</th>
                                    <th>Precio Unitario</th>
                                    <th>Total S/.</th>
                                    <th>Total $/.</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>
                                        <select name="month_id" class="form-control" required>
                                            <option value="">Seleccione área</option>
                                            @foreach ($months as $month)
                                            <option value="<?php echo $month->id;?>" <?php echo  $month->id == $details_budgets->id_month ? "selected":"";?>><?php echo $month->name;?></option>
                                            @endforeach
                                        </select>
                                    </td>
                                    <td>
                                        <input type="number" name="quantity" class="form-control quantity"
                                            placeholder="Ingrese cantidad" step="0.1" min="0" value="{{$details_budgets->quantity}}" required>
                                    </td>
                                    <td><textarea type="text" name="description" class="form-control"
                                            placeholder="Ingrese descripción" value="{{$details_budgets->description}}" required></textarea>
                                    </td>
                                    <td>
                                        <select name="batch_id" class="form-control" required>
                                            <option value="">Seleccione área</option>
                                            @foreach ($batchs as $batch)
                                            <option value="<?php echo $batch['id'];?>" <?php echo  $batch['id'] == $details_budgets->id_batch ? "selected":"";?>><?php echo $batch['name'];?></option>

                                                {{-- <option value="{{ $batch['id'] }}">{{ $batch['name'] }}</option> --}}
                                            @endforeach
                                        </select>
                                    </td>
                                    <td><input type="number" name="unit_price" class="form-control unit_price"
                                            placeholder="S/. 00.00" step="0.01" min="0" value="{{$details_budgets->unit_price}}" required>
                                    </td>
                                    <td><input type="number" name="total_soles" class="form-control"
                                            placeholder="S/. 00.00" step="0.01" min="0" value="{{$details_budgets->total_soles}}" required readonly>
                                    </td>
                                    <td><input type="number" name="total_dollars" class="form-control"
                                            placeholder="$. 00.00" step="0.01" min="0" value="{{$details_budgets->total_dollars}}" required readonly>
                                    </td>

                                </tr>
                            </tbody>
                        </table>
                        <button type="submit" class="btn btn-primary">Editar</button>

                    </div>
                </div>
            </div>
        </form>
        <!-- /.row -->
    </div>

@stop
@section('css')
    <link rel="stylesheet" href="/css/admin_custom.css">
@stop

<script>

</script>

@section('footer')
    @include('layouts.footer_budgets')
@stop

<script>

</script>
