

<?php $__env->startSection('title', 'Áreas'); ?>

<?php $__env->startSection('content_header'); ?>
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h1>Áreas</h1>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('AdministradorSistema')): ?>
                <a href="<?php echo e(route('areas.create')); ?>" class="btn btn-primary btn-flat"><span
                            class="fa fa-plus"></span>Agregar Área</a>
                <?php endif; ?>

            </div>
            <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="#">Inicio</a></li>
                    <li class="breadcrumb-item active">Áreas</li>
                </ol>
            </div>
        </div>
    </div><!-- /.container-fluid -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h3 class="card-title">Listado de Áreas</h3>
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <table id="tablas" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>Nombre</th>
                                    <th>Representante</th>
                                    <th>Actualización</th>
                                    <th>Estado</th>
                                    <th>Opciones</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $areas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $area): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($area->name); ?></td>
                                        <td><?php echo e($area->name_representative); ?></td>
                                        <td><?php echo e($area->updated_at); ?></td>
                                        <?php if($area->status == 'available'): ?>
                                            <td>
                                                <a class="btn btn-success btn-sm">Disponible</a>
                                            </td>

                                            <td>
                                                <div class="btn-group">
                                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('AdministradorSistema')): ?>
                                                        <a href="<?php echo e(route('areas.edit', $area->id)); ?>"
                                                            class="btn btn-warning btn-lg"><span class="fas fa-edit"></span></a>
                                                    <?php endif; ?>
                                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('AdministradorSistema')): ?>
                                                        <form action="<?php echo e(route('areas.destroy', $area->id)); ?>" method="post">
                                                            <?php echo csrf_field(); ?>
                                                            <?php echo method_field('DELETE'); ?>
                                                            <button class="btn btn-danger btn-lg" value="<?php echo e($area->id); ?>"
                                                                id="modalConfirmacion" data-toggle="modal"
                                                                data-target="#modal-default"><span
                                                                    class="far fa-minus-square"></span>
                                                            </button>
                                                        </form>
                                                    <?php endif; ?>
                                                </div>
                                            </td>
                                        <?php else: ?>
                                            <td>
                                                <a class="btn btn-danger btn-sm">Inhabilitado</a>
                                            </td>
                                            <td>
                                                <div class="btn-group">
                                                    <a href="<?php echo e(route('areas.edit', $area->id)); ?>"
                                                        class="btn btn-warning btn-lg"><span class="fas fa-edit"></span></a>

                                                    <form action="<?php echo e(url('areas/enable/' . $area->id)); ?>" method="post">
                                                        <?php echo csrf_field(); ?>
                                                        <button class="btn btn-success btn-lg" value="<?php echo e($area->id); ?>"
                                                            id="modalConfirmacion" data-toggle="modal"
                                                            data-target="#modal-default"><span
                                                                class="fas fa-plus-square"></span>
                                                        </button>
                                                    </form>
                                                </div>
                                            </td>
                                        <?php endif; ?>


                                        
                                            
                                            
                                                
                                                
                                                
                                                
                                            
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                            <tfoot>
                            </tfoot>
                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="/css/admin_custom.css">
<?php $__env->stopSection(); ?>


<?php $__env->startSection('footer'); ?>
    <p>Bienvenido a este template</p>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    <?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('adminlte::page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\presupuestos2\resources\views/maintenance/areas/index.blade.php ENDPATH**/ ?>